Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1568265 - Skipped power management operation has misleading logs
Summary: Skipped power management operation has misleading logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.1.10
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ovirt-4.3.0
: 4.3.0
Assignee: Ravi Nori
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks: 1605133
TreeView+ depends on / blocked
 
Reported: 2018-04-17 05:25 UTC by Germano Veit Michel
Modified: 2019-05-08 12:37 UTC (History)
9 users (show)

Fixed In Version: ovirt-engine-4.3.0_alpha
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1605133 (view as bug list)
Environment:
Last Closed: 2019-05-08 12:37:35 UTC
oVirt Team: Infra
Target Upstream Version:
pmatyas: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1568267 0 unspecified CLOSED VdsNotRespondingTreatment skipped forever 2021-02-22 00:41:40 UTC
Red Hat Knowledge Base (Solution) 3493331 0 None None None 2018-06-21 01:47:48 UTC
Red Hat Product Errata RHEA-2019:1085 0 None None None 2019-05-08 12:37:56 UTC
oVirt gerrit 91848 0 master MERGED engine : Skipped power management operation has misleading logs 2018-07-02 16:49:12 UTC
oVirt gerrit 92760 0 ovirt-engine-4.2 MERGED engine : Skipped power management operation has misleading logs 2018-07-03 13:16:42 UTC

Internal Links: 1568267

Description Germano Veit Michel 2018-04-17 05:25:08 UTC
Description of problem:

In executeCommand() in VdsNotRespondingTreatmentCommand.java, there is this initial if clause that aborts fencing:

if (!previousHostedEngineHost.isPreviousHostId(getVds().getId())                                                                                                                       
        && !new FenceValidator().isStartupTimeoutPassed()) {                                                                                                                           
    log.error("Failed to run Fence script on vds '{}'.", getVdsName());                                                                                                                
    alertIfPowerManagementOperationSkipped(RESTART, null);                                                                                                                             
    // If fencing can't be done and the host is the SPM, set storage-pool to non-operational                                                                                           
    if (getVds().getSpmStatus() != VdsSpmStatus.None) {                                                                                                                                
        setStoragePoolNonOperational();                                                                                                                                                
    }                                                                                                                                                                                  
return;

On entering the if clause, the host is not fenced and VDS_ALERT_FENCE_OPERATION_SKIPPED is logged. And VDS_ALERT_FENCE_OPERATION_SKIPPED="....It has no power management configured..."

I dont see that if clause testing for power management configured, Power management configured check on a different place.

The if clause evaluates DisableFenceAtStartupInSec and not fencing the HE host, IMHO this has nothing to do with power management enabled. 

Am I missing something or this produces misleading logs?

Please improve logging, a separate message for each reason would be nice:
- HostedEngine (4.1+)
- DisableFenceAtStartup (4.1+)
- isInFenceFlow() (4.2+)
- Move VDS_ALERT_FENCE_OPERATION_SKIPPED

Comment 1 Dusan Fodor 2018-07-12 14:20:19 UTC
This bug is Modified for some time already, but misses PM an QA ack, can you please check?

Comment 5 Petr Matyáš 2018-12-06 12:15:13 UTC
Verified on ovirt-engine-4.3.0-0.5.alpha1.el7.noarch

Comment 7 errata-xmlrpc 2019-05-08 12:37:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:1085


Note You need to log in before you can comment on or make changes to this bug.